import QtQuick 2.0

import QtQuick.Layouts 1.11

import QGroundControl.Controls 1.0
import QGroundControl.FactControls 1.0
import QGroundControl.ScreenTools   1.0

GridLayout {

    // Item must be loaded, expects the following properties:
//    property var generator

    property real   _margin: ScreenTools.defaultFontPixelWidth / 2

    columnSpacing:  _margin
    rowSpacing:     _margin
    columns:        2

    QGCLabel { text: qsTr("Distance") }
    FactTextField {
        fact:                   generator.distance
        Layout.fillWidth:       true
    }

    QGCLabel { text: qsTr("Alpha") }
    QGCSlider {
        id:                     rSlider
        minimumValue:           0
        maximumValue:           180
        stepSize:               0.1
        tickmarksEnabled:       false
        Layout.fillWidth:       true
        Layout.columnSpan:      2
        Layout.preferredHeight: ScreenTools.defaultFontPixelHeight * 1.5
        onValueChanged:         generator.alpha.value = value
        Component.onCompleted:  value = 0
        updateValueWhileDragging: true
    }

    QGCLabel { text: qsTr("Min. Length") }
    FactTextField {
        fact:                   generator.minLength
        Layout.fillWidth:       true
    }
}
